Commit 6dcd0a6b authored by Sean Davis's avatar Sean Davis 🕶

Release version 0.3.0

parent 7a960060
Ali Abdallah aliov@xfce.org
\ No newline at end of file
Ali Abdallah aliov@xfce.org
Sean Davis bluesabre@xfce.org
Simon Steinbeiss simon@xfce.org
2012-08-09: bluesabre@xfce.org
* Release version 0.3.0
* Replaced libxfce4gui dependencies with libxfce4ui
* Upgraded GTK interface to GTK 2.20+
* Revamped, minimalistic interface
* Replaced playbin with playbin2
* Improved subtitle/audio track handling
* Fixed many of the existing bugs
2009-08-11: aliov@xfce.org
* main.c show gtk and gst command line options.
* parole-medialist.c, allow multiple selection, so handle list up
......
0.3.0
=======
- Replaced libxfce4gui dependencies with libxfce4ui
- Upgraded GTK interface to GTK 2.20+
- Revamped, minimalistic interface
- Replaced playbin with playbin2
- Improved subtitle/audio track handling
- Improved keyboard shortcuts
- Updated application icon
- Added command line option to enqueue files
- Cleared warnings due to deprecated functions
- Fixed many of the existing bugs
0.2.0.1
=======
- Automatically detect disc type when parole is started with --device=/dev/sr0 without a uri
......
......@@ -10,14 +10,14 @@ Required packages
=================
Parole depends on the following packages:
- Gtk 2.16 or above.
- Glib 2.16 or above.
- Gtk 2.20 or above.
- Glib 2.24 or above.
- Gio 2.16 or above.
- DBus 0.60 or above.
- DBus glib 0.70 or above.
- GStreamer: base, video, interface and GStreamer X, version 0.10.11 or above.
- libxfce4ui 4.7.0 or above.
- libxfce4util 4.6.0 or above
- libxfce4ui 4.8.0 or above.
- libxfce4util 4.8.0 or above
How to report bugs?
===================
......
m4_define([intltool_minimum_version], [0.31])
m4_define([parole_verinfo], [0:2:0])
m4_define([parole_verinfo], [0:3:0])
m4_define([parole_version_api], [0])
m4_define([parole_version_major], [0])
m4_define([parole_version_minor], [2])
m4_define([parole_version_micro], [90])
m4_define([parole_version_minor], [3])
m4_define([parole_version_micro], [0])
m4_define([parole_version_build], [])
m4_define([parole_version_tag], [])
m4_define([parole_version], [parole_version_major().parole_version_minor().parole_version_micro()ifelse(parole_version_tag(), [git], [parole_version_tag().parole_version_build()], [parole_version_tag()])])
......@@ -68,7 +68,7 @@ XDT_I18N([@LINGUAS@])
#==================================================== #
# Check for required packages #
#=====================================================#
m4_define([gtk_minimum_version], [2.24.0])
m4_define([gtk_minimum_version], [2.20.0])
m4_define([glib_minimum_version], [2.24.0])
m4_define([gstreamer_minimum_version], [0.10.11])
......
......@@ -371,6 +371,7 @@
<child>
<object class="GtkMenuItem" id="subtitles-menu-custom">
<property name="visible">True</property>
<property name="sensitive">False</property>
<property name="can_focus">False</property>
<property name="use_action_appearance">False</property>
<property name="label" translatable="yes">Select Text Subtitles...</property>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment